<?php
/****************************************************************************************
SMI (Services Maintenance Interventions) est une gestion libre de maintenance et de SAV

Version 0.9.7

Copyright (C) 2006-2007  Sylvain FATOME
This program is free software; you can redistribute it and/or modify it under the terms
of the GNU General Public License as published by the Free Software Foundation; 
either version 2 of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; 
without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
See the GNU General Public License for more details.

You should have received a copy of the GNU General Public License along with this program
(in the directory docs); 
if not, write to the Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor, 
Boston, MA  02110-1301, USA.

Contact : galawa@free.fr

Web : http://smitst.homelinux.com
****************************************************************************************/


// Vérification des tentatives de hack
$pos=strpos($_SERVER['PHP_SELF'],"inc.php");
if ($pos===FALSE)
	$ok_inc=TRUE;
else
	$ok_inc=FALSE;
if ($ok_inc==FALSE) header("Location: ../index.php");

include_once("../inc/config.inc.php");
include_once("../inc/fic_int.inc.php");
include_once("../inc/func.inc.php");
include_once("../inc/func_log.inc.php");
include_once("../inc/func_geo.inc.php");
include_once("../inc/func_txt.inc.php");
Archivelog(@$_SESSION["code_log"]);

// Variables Formulaire
$titre = strip_tags(trim(@$_POST["titre"]));
$td = strip_tags(trim(@$_POST["td"]));
$codeint = strip_tags(trim(@$_POST["codeint"]));

$code = str_majuscules(strip_tags(trim(@$_POST["code"])));
$des = str_majuscules(str_escape(trim(@$_POST["des"])));
$qte = str_majuscules(strip_tags(trim(@$_POST["qte"])));
if (!settype($qte,"float"))
{
	echo "Pbm de conversion : ";
	echo $qte;
	echo "<br>";
	exit();
}
$pu = str_majuscules(strip_tags(trim(@$_POST["pu"])));
if (!settype($pu,"float"))
{
	echo "Pbm de conversion : ";
	echo $pu;
	echo "<br>";
	exit();
}
$ns = str_escape(trim(@$_POST["ns"]));
$texte = str_escape(trim(@$_POST["texte"]));

$retourliste = TRUE;

$conn = mysql_connect(DBHOST, DBUSER, DBPASS);
mysql_select_db(DBNAME);

switch ($td)
{
	// Ajout de la fiche Produit Intervention
	case "add" :
		$conn = mysql_connect(DBHOST, DBUSER, DBPASS);
		mysql_select_db(DBNAME);
		$rech = "SELECT * FROM " .TBPDTI. " WHERE pdti_codeint = '$codeint' AND pdti_codepdt = '$code'";
		$rs = mysql_query($rech) or die(mysql_error());
		if (mysql_num_rows($rs) == 0)
		{
			$rech2 = "INSERT INTO " .TBPDTI;
			$rech2 .= " (pdti_codeint,pdti_codepdt,pdti_puttc,pdti_qte,pdti_ns,pdti_texte) VALUES";
			$rech2 .= " ('$codeint','$code','$pu','$qte','$ns','$texte')";
			$rs2 = mysql_query($rech2) or die(mysql_error());
	
			$msg = "Fiche ajoutée";}
		else
		{
			$msg = "Ce code est déjà saisi dans cette intervention !";
			$retourliste = FALSE;
		}
		mysql_free_result($rs);
		break;
		
	// MAJ de la fiche Produit Intervention
	case "edit" :
		$rech = "UPDATE `" .TBPDTI. "` SET `pdti_codeint`='".$codeint."', `pdti_codepdt`='".$code."', `pdti_puttc`='".$pu."', `pdti_qte`='".$qte."', `pdti_ns`='".$ns."', `pdti_texte`='".$texte."'";
		$rech .= " WHERE `pdti_codeint` = '".$codeint."' AND `pdti_codepdt` = '".$code."'";
		$rs = mysql_query($rech) or die(mysql_error());
			
		$msg = "Produit mis &agrave; jour";
		break;

	// Suppression de la fiche Produit de l'intervention
	case "del" :
		$rech = "DELETE FROM `" .TBPDTI. "` WHERE `pdti_codeint` = '$codeint' AND `pdti_codepdt` = '$code'";
		$rs = mysql_query($rech) or die(mysql_error());

		$msg = "Produit supprimé";
		break;
		
	default :
		break;
}
mysql_close($conn);
?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html><head>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
<title>SMI - ESPACE PRIVE : Article Intervention</title>

<!-- Feuille de style pour les affichages courants -->
<link href="../css/smi.css" rel="stylesheet" type="text/css">

<!-- Feuille de style & Script pour le menu -->

<script language="JavaScript" src="../jscript/coolmenus/coolmenus4.js"></script>

<!-- Scripts Javascript pour fenêtres -->
<script language="JavaScript" src="../jscript/fen.js"></script>

</head>
<body>

<p align="center"><span class="titrepage"><?PHP echo $titre ?></span></p>
<p align="center">&nbsp;</p>
<p align="center" class="annot_gras_it"><?PHP echo $msg ?></p>

<!-- Fermeture temporisée -->
<?PHP 
$row=lit_enr_int($codeint);
if (is_array($row))
	extract($row);
cre_js_pdti("edit",$codeint,$int_acpte,"window.opener."); 
?>
<script type="text/javascript">
tbpdti();
self.close('fscomp');
</script>
<p align="center">Sinon, <a href="javascript:void(0)" onClick="javascript:; self.close('fscomp');">cliquez ici</a> </p>

</body>
</html>
